Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519948 - SELinux denial new in F27
Summary: SELinux denial new in F27
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 18:51 UTC by Brian Bouterse
Modified: 2018-01-02 16:47 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.13.1-283.19.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:47:24 UTC


Attachments (Terms of Use)

Description Brian Bouterse 2017-12-01 18:51:59 UTC
While Pulp is using qpidd on F27, it experiences an SELinux denial. Details about the Pulp bug are here: https://pulp.plan.io/issues/3159

The audit2allow output suggests that this rule is needed:

#============= qpidd_t ==============
allow qpidd_t qpidd_var_lib_t:file map;

I'm not sure where the selinux policy for qpidd_t is, or I would send a PR to it for the F27+ policy version.

Comment 1 Brian Bouterse 2017-12-01 18:52:39 UTC
To clarify, the same Pulp code has run without SELinux denial on earlier versions of Fedora < 27.

Comment 2 Irina Boverman 2017-12-01 19:13:57 UTC
Changed it to selinux-policy component.

Comment 3 Fedora Update System 2017-12-13 08:25:29 UTC
selinux-policy-3.13.1-283.18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 4 Fedora Update System 2017-12-14 11:11:33 UTC
selinux-policy-3.13.1-283.18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 5 Fedora Update System 2017-12-20 11:23:19 UTC
selinux-policy-3.13.1-283.19.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 6 Fedora Update System 2017-12-21 20:20:39 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 7 Fedora Update System 2018-01-02 16:47:24 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.